from django.urls import path

from .views import index, home_view, BooksListView, BooksDetailView, AuthorsListView, AuthorsDetailView

urlpatterns = [
    path('', index, name='index'),
    path('home', home_view, name='home_view'),
    path('books', BooksListView.as_view(), name='books_list'),
    path('books/<int:pk>/details', BooksDetailView.as_view(), name='books_details'),
    path('authors', AuthorsListView.as_view(), name='authors_list'),
    path('authors/<int:pk>/details', AuthorsDetailView.as_view(), name='authors_details'),
    ]

app_name = "<bookshelf>"

